

enum
{
	USELESS = 0,
};



typedef struct _info1
{
  unsigned short number;
  unsigned short img_width;
  unsigned short img_height;
  unsigned long img_size;
  unsigned long start_addr;
}INFO1;

  /* The 'code' is KEIL C 8051 instruction, please refer to http://www.keil.com/support/man/docs/c51/c51_le_code.htm */
  /* If you do not use the 8051 microcontroller system, please remove the 'code' instruction. */

const INFO1 code BINARY_INFO1[10]=
{
  /*  No. , Width , Height , Size , Start Address  */ 
  {1,800,480,768000,0},          /*     BMP_1 , element 0     */
  {2,800,480,768000,375},          /*     BMP_2 , element 1     */
  {3,800,480,768000,750},          /*     BMP_3 , element 2     */
  {4,800,480,113280,1125},          /*     BMP_5_YUV420_q80 , element 3     */
  {5,800,480,62483,1181},          /*     BMP_6_YUV420_q80 , element 4     */
  {6,800,480,103689,1212},          /*     BMP_7_YUV420_q80 , element 5     */
  {7,800,480,34784,1263},          /*     BMP_8_YUV420_q80 , element 6     */
  {8,800,480,74553,1280},          /*     BMP_9_YUV420_q80 , element 7     */
  {9,400,100,160000,1317},          /*     EastrisingPNG , element 8     */
  {10,800,480,114978260,1396},          /*     demo2_mjpeg , element 9     */
};
/*
typedef enum
{
  BMP_1=0,          
  BMP_2,         
  BMP_3,         
  BMP_5_YUV420_q80,         
  BMP_6_YUV420_q80,         
  BMP_7_YUV420_q80,         
  BMP_8_YUV420_q80,         
  BMP_9_YUV420_q80,        
  EastrisingPNG,         
  demo2_mjpeg,        
}PICTURE_NAME;

*/


typedef struct _info
{
	unsigned short number;
	unsigned short img_width;
	unsigned short img_height;
	unsigned long img_size;
	unsigned long start_addr;
}INFO;


const INFO BINARY_INFO[11] =
{


  /*  No. , Width , Height , Size , Start Address  */ 
  {1,800,480,768000,0},          /*     BMP_1 , element 0     */
  {2,800,480,768000,768000},          /*     BMP_2 , element 1     */
  {3,800,480,768000,1536000},          /*     BMP_3 , element 2     */
  {4,800,480,113280,2304000},          /*     BMP_5_YUV420_q80 , element 3     */
  {5,800,480,62483,2417280},          /*     BMP_6_YUV420_q80 , element 4     */
  {6,800,480,103689,2479763},          /*     BMP_7_YUV420_q80 , element 5     */
  {7,800,480,34784,2583452},          /*     BMP_8_YUV420_q80 , element 6     */
  {8,800,480,74553,2618236},          /*     BMP_9_YUV420_q80 , element 7     */
  {9,400,100,160000,2692789},          /*     EastrisingPNG , element 8     */
  {10,600,250,5253784,2852789},          /*     AVI600250mjpeg , element 9     */

};

/*
typedef enum
{

  BMP_1=0,         
  BMP_2,          
  BMP_3,          
  BMP_5_YUV420_q80,         
  BMP_6_YUV420_q80,         
  BMP_7_YUV420_q80,         
  BMP_8_YUV420_q80,        
  BMP_9_YUV420_q80,        
  EastrisingPNG,        
  AVI600250mjpeg,       
}FILE_NAME;
*/
